import { Db, Collection } from 'mongodb';
import MongoEntity from './mongo_entity';
export declare function config(mongoHost?: string, mongoPort?: string, mongoDisposeTimeout?: number): void;
export declare function getDb(): Promise<Db>;
export interface TestOption<T> {
    data?: T[];
    name?: string;
    type?: any;
    entity?: MongoEntity<T>;
}
export interface TestOptions {
    entities?: TestOption<any>[];
}
export declare function withEntity(test: (...entity: any[]) => any, options?: TestOptions): Promise<any>;
export declare function withContext(initContext: (conn: any) => any, test: (context: any) => any): Promise<any>;
export declare function getConnector(): Promise<{
    collection(name: string): Collection<{}>;
}>;
export declare function disposeDb(immediate?: boolean): void;
